package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.TmsTruckEnFactoryResultService;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author luobang
 * @create 2021-10-29 17:52
 */
@RestController
@RequestMapping("/${api.version}/tmsTruckEnFactoryResultResult")
public class TmsTruckEnFactoryResultController extends BaseRESTfulController {

    @Autowired
    TmsTruckEnFactoryResultService tmsTruckEnFactoryResultService;

    public RESTfulResult addEnFactory(Map<String,Object> map){
        Integer integer=tmsTruckEnFactoryResultService.updateEnFactory(map);
        if (integer!=1){
            return failed();
        }
        return success();
    }

}
