package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckWeightResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TmstruckWeightResultMapper extends IBaseMapper<TmstruckWeightResult, BigDecimal> {

    // 得到计重实绩主键id
    BigDecimal getWeightTaskResultId(Map<String,Object>mapValue);

    // 得到汽车衡id
    BigDecimal getTruckCalculateId(String resultCalculateNumber);

}