package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsMaterialSteelMapper;
import com.steerinfo.dil.service.IRmsMaterialSteelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * RmsMaterialSteel服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-29 02:33
 * 类描述
 * 修订历史：
 * 日期：2021-10-29
 * 作者：generator
 * 参考：
 * 描述：RmsMaterialSteel服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsMaterialSteelService")
public class RmsMaterialSteelServiceImpl implements IRmsMaterialSteelService {

    @Autowired
    private RmsMaterialSteelMapper rmsMaterialSteelMapper;

    /**
     * 得到没有质保书的炉号
     * @return
     */
    @Override
    public Map<String, Object> getMaterialFurnaceNumber() {
        return rmsMaterialSteelMapper.getMaterialFurnaceNumber();
    }

    /**
     * 修改相应炉号的钢材质检结果
     * @param map
     * @return
     */
    @Override
    public Integer updateMaterialQuality(Map<String, Object> map) {
        return rmsMaterialSteelMapper.updateMaterialQuality(map);
    }
}
